Sync Holdings on a Sub Account Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/sync-holdings

Path parameters

  • plan_uuid string Required
  • subAccount_uuid string Required
application/json

Body

  • holdings array[object] Required

    Holdings array to sync. all other holdings on this sub account will be marked as inactive

    Hide holdings attributes Show holdings attributes object
    • fund_name string Required

      The name of the fund for the holding.

    • reference string | null

      The reference of the holding/fund.

      Maximum length is 255.

    • provider string | null

      The Provider of the holding/fund.

      Maximum length is 255.

    • sector string | null

      The sector of the holding/fund.

      Maximum length is 255.

    • sedol string | null

      The sedol of the holding/fund.

      Maximum length is 255.

    • isin string | null

      The isin of the holding/fund.

      Maximum length is 255.

    • citi string | null

      The citi of the holding/fund.

      Maximum length is 255.

    • units number Required

      The units of the holding

    • unit_price integer

      The current price of the units in pennies.

      Minimum value is 0.

    • unit_price_raw number

      The current price of the units in it's raw format with decimals.

    • purchase_price integer | null

      The original purchase price of the holding in pennies.

      Minimum value is 0.

    • currency string

      The currency of the holding/fund.

      Minimum length is 3, maximum length is 3.

    • is_active boolean

      Whether the holding is active or not.

    • portfolio_uuid string(uuid) | null

      The portfolio UUID this holding belongs to.

  • portfolio_name string

    Optional name of the portfolio when the holdings are synced

  • is_proposed_portfolio boolean

    Denotes if the portfolio that is created should be proposed or not.

Responses

  • 202 application/json
  • 409 application/json

    Plan is being deleted

    Hide response attribute Show response attribute object
    • message string
POST /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/sync-holdings
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sync-holdings' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"holdings":[{"fund_name":"My Fund","reference":"C4$4","provider":"Transact","sector":"Europe","sedol":"ABC12345","isin":"ABC12345","citi":"ABC12345","units":10,"unit_price":50000,"unit_price_raw":500.2345,"purchase_price":25000,"currency":"GBP","is_active":true,"portfolio_uuid":"c626cb4e-ebe1-44ed-9ed2-77a0d998769c"}],"portfolio_name":"Proposed Holdings 2023","is_proposed_portfolio":true}'
Request examples
{
  "holdings": [
    {
      "fund_name": "My Fund",
      "reference": "C4$4",
      "provider": "Transact",
      "sector": "Europe",
      "sedol": "ABC12345",
      "isin": "ABC12345",
      "citi": "ABC12345",
      "units": 10,
      "unit_price": 50000,
      "unit_price_raw": 500.2345,
      "purchase_price": 25000,
      "currency": "GBP",
      "is_active": true,
      "portfolio_uuid": "c626cb4e-ebe1-44ed-9ed2-77a0d998769c"
    }
  ],
  "portfolio_name": "Proposed Holdings 2023",
  "is_proposed_portfolio": true
}
Response examples (202)
{}
Response examples (409)
{
  "message": "Plan is being deleted."
}